Groovy Documentation

## org.codehaus.groovy.transform
[Java] Class StaticTypesTransformation

    java.lang.Object
      org.codehaus.groovy.transform.StaticTypesTransformation

All Implemented Interfaces:
  ASTTransformation

    @GroovyASTTransformation(phase = CompilePhase.INSTRUCTION_SELECTION)
    public class StaticTypesTransformation
    extends java.lang.Object

Handles the implementation of the TypeChecked transformation.

Authors:
  Jochen "blackdrag" Theodorou
  Cedric Champeau
  Guillaume Laforge

Field Summary
`static java.lang.String` | `STATIC_ERROR_PREFIX`

Method Summary
`protected StaticTypeCheckingVisitor` | `newVisitor(SourceUnit unit, ClassNode node, TypeCheckerPluginFactory pluginFactory)` Allows subclasses to provide their own visitor.
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### STATIC_ERROR_PREFIX

    public static final java.lang.String STATIC_ERROR_PREFIX

Method Detail

### newVisitor

    protected StaticTypeCheckingVisitor newVisitor(SourceUnit unit, ClassNode node, TypeCheckerPluginFactory pluginFactory)

  Allows subclasses to provide their own visitor. This is useful for example for transformations relying on the static type checker.
  Parameters:
    `unit` - the source unit
    `node` - the current classnode
  Returns:
    a static type checking visitor

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

Groovy Documentation